<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>DebugLevel (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DebugLevel (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DebugLevel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/util/debug/DebugLevel.html" target="_top">Frames</a></li>
<li><a href="DebugLevel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.util.debug</div>
<h2 title="Enum DebugLevel" class="title">Enum DebugLevel</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Enum&lt;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>&gt;</li>
<li>
<ul class="inheritance">
<li>towerwarspp.util.debug.DebugLevel</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="typeNameLabel">DebugLevel</span>
extends java.lang.Enum&lt;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>&gt;</pre>
<div class="block">Enumeration of the different debug level for different output level for <a href="../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robin Hundt</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/DebugLevel.html#LEVEL_1">LEVEL_1</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/DebugLevel.html#LEVEL_2">LEVEL_2</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/DebugLevel.html#LEVEL_3">LEVEL_3</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/DebugLevel.html#LEVEL_4">LEVEL_4</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/DebugLevel.html#LEVEL_5">LEVEL_5</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/DebugLevel.html#LEVEL_6">LEVEL_6</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/DebugLevel.html#LEVEL_7">LEVEL_7</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/DebugLevel.html#NO_LEVEL_DEBUG">NO_LEVEL_DEBUG</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/DebugLevel.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/DebugLevel.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
<code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="NO_LEVEL_DEBUG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_LEVEL_DEBUG</h4>
<pre>public static final&nbsp;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a> NO_LEVEL_DEBUG</pre>
</li>
</ul>
<a name="LEVEL_1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEVEL_1</h4>
<pre>public static final&nbsp;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a> LEVEL_1</pre>
</li>
</ul>
<a name="LEVEL_2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEVEL_2</h4>
<pre>public static final&nbsp;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a> LEVEL_2</pre>
</li>
</ul>
<a name="LEVEL_3">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEVEL_3</h4>
<pre>public static final&nbsp;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a> LEVEL_3</pre>
</li>
</ul>
<a name="LEVEL_4">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEVEL_4</h4>
<pre>public static final&nbsp;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a> LEVEL_4</pre>
</li>
</ul>
<a name="LEVEL_5">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEVEL_5</h4>
<pre>public static final&nbsp;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a> LEVEL_5</pre>
</li>
</ul>
<a name="LEVEL_6">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEVEL_6</h4>
<pre>public static final&nbsp;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a> LEVEL_6</pre>
</li>
</ul>
<a name="LEVEL_7">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LEVEL_7</h4>
<pre>public static final&nbsp;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a> LEVEL_7</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (DebugLevel c : DebugLevel.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DebugLevel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/util/debug/DebugLevel.html" target="_top">Frames</a></li>
<li><a href="DebugLevel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
